import 'package:flutter/material.dart';
// import 'package:permission_handler/permission_handler.dart';
import 'package:small_contact_picker/small_contact_picker.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    // Permission.contacts.request();

    // initPlatformState();
  }

  // // Platform messages are asynchronous, so we initialize in an async method.
  // Future<void> initPlatformState() async {
  //   String platformVersion;
  //   // Platform messages may fail, so we use a try/catch PlatformException.
  //   // We also handle the message potentially returning null.
  //   try {
  //     platformVersion =
  //         await SmallContactPicker.platformVersion ?? 'Unknown platform version';
  //   } on PlatformException {
  //     platformVersion = 'Failed to get platform version.';
  //   }
  //
  //   // If the widget was removed from the tree while the asynchronous platform
  //   // message was in flight, we want to discard the reply rather than calling
  //   // setState to update our non-existent appearance.
  //   if (!mounted) return;
  //
  //   setState(() {
  //     _platformVersion = platformVersion;
  //   });
  // }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Wrap(children: [
            InkWell(
              onTap: () async{
                Contact c =  await SmallContactPicker.selectContactWithNative;
                print(c);
                // List<Contact> list = await SmallContactPicker.selectContacts;
                // print(list[0].toString());
              },
              child: Center(
                child: Text('选择通讯录'),
              ),
            ),
            SizedBox(height: 50,width: 1,),
            InkWell(
              onTap: () async{
                // List<Contact> list =  await SmallContactPicker.selectContacts;
                // print(list);
                List<Contact> list = await SmallContactPicker.selectContacts;
                list.forEach((element) {
                  print(element.toString());
                });

              },
              child: Center(
                child: Text('获取列表'),
              ),
            )
          ],),
        ),
      ),
    );
  }
}
